[Setup] Migration Plone 2.1.4 to Plone 2.5.1

aaron aaron at netcorps.org
Sun Nov 12 16:56:58 UTC 2006


Marc,
I  have had success migrating 2.1.4->2.5.1 by doing a forced  
migration from 2.1 -> 2.5.1.  That seemed to solve it. Hope that helps.
Aaron



On Nov 12, 2006, at 4:59 AM, Marc Van Coillie wrote:

> Hi,
> Thanks for your help,
>
> I've tried to force migration from 2.1.3 but without any success.
>
> So I've modified manually the migration path to add the 2.1.4 release:
>
>    MigrationTool.registerUpgradePath('2.1.3',
>                                      '2.5-alpha1',
>                                      v2_5.alphas.two5_alpha1)
>
> to:
> MigrationTool.registerUpgradePath('2.1.3',
>
> '2.1.4',
>
> v2_1.two13_two14.two13_two14)
>
> MigrationTool.registerUpgradePath('2.1.4',
>
> '2.5-alpha1',
>
> v2_5.alphas.two5_alpha1)
>
> But when I've done the simulation here is the error:
>
> Result of the attempt...
>
>  a.. Dry run selected.
>  b.. Starting the migration from version: 2.1.4
>  c.. Attempting to upgrade from: 2.1.4
>  d.. Installed CMFPlacefulWorkflow.
>  e.. Upgrade to: 2.5-alpha1, completed
>  f.. Attempting to upgrade from: 2.5-alpha1
>  g.. Upgrade aborted
>  h.. Error type: zExceptions.BadRequest
>  i.. Error value: No select variable
>  j.. File "/var/lib/zope2.8/instance/eifel25/Products/CMFPlone/ 
> MigrationTool.py", line 307, in upgrade newv, msgs = self._upgrade 
> (newv)
>  k.. File "/var/lib/zope2.8/instance/eifel25/Products/CMFPlone/ 
> MigrationTool.py", line 404, in _upgrade res = function 
> (self.aq_parent)
>  l.. File "/var/lib/zope2.8/instance/eifel25/Products/CMFPlone/ 
> migrations/v2_5/alphas.py", line 24, in alpha1_alpha2  
> installPlonePAS(portal, out)
>  m.. File "/var/lib/zope2.8/instance/eifel25/Products/CMFPlone/ 
> migrations/v2_5/alphas.py", line 43, in installPlonePAS  
> installOrReinstallProduct(portal, 'PlonePAS', out)
>  n.. File "/var/lib/zope2.8/instance/eifel25/Products/CMFPlone/ 
> migrations/migration_util.py", line 82, in  
> installOrReinstallProduct qi.installProduct(product_name)
>  o.. File "/var/lib/zope2.8/instance/eifel25/Products/ 
> CMFQuickInstallerTool/QuickInstallerTool.py", line 322, in  
> installProduct res=install(portal)
>  p.. File "/usr/lib/zope2.8/lib/python/Products/ExternalMethod/ 
> ExternalMethod.py", line 225, in __call__ try: return f(*args, **kw)
>  q.. File "/var/lib/zope2.8/instance/eifel25/Products/PlonePAS/ 
> Extensions/Install.py", line 835, in install setupTools(portal, out)
>  r.. File "/var/lib/zope2.8/instance/eifel25/Products/PlonePAS/ 
> Extensions/Install.py", line 400, in setupTools  
> migrateMemberDataTool(portal, out)
>  s.. File "/var/lib/zope2.8/instance/eifel25/Products/PlonePAS/ 
> Extensions/Install.py", line 543, in migrateMemberDataTool  
> updateProp(mdtool, prop)
>  t.. File "/var/lib/zope2.8/instance/eifel25/Products/PlonePAS/ 
> Extensions/Install.py", line 570, in updateProp  
> prop_manager._setProperty(id, value, type)
>  u.. File "/usr/lib/zope2.8/lib/python/OFS/PropertyManager.py",  
> line 189, in _setProperty raise BadRequest, 'No select variable %s'  
> % value
>  v.. End of upgrade path, migration has finished
>  w.. The upgrade path did NOT reach current version
>  x.. Migration has failed
>  y.. Dry run selected, transaction aborted
> Any ideas ?
>
> Marc
>
>
> ----- Original Message ----- From: "Stefan H. Holek"  
> <stefan at epy.co.at>
> To: "Marc Van Coillie" <marc.van.coillie at eife-l.org>
> Cc: <setup at lists.plone.org>
> Sent: Sunday, November 12, 2006 1:40 PM
> Subject: Re: [Setup] Migration Plone 2.1.4 to Plone 2.5.1
>
>
>> You could try to force migration from 2.1.4. Migrations are  
>> written  in a way that they don't do harm when applied more than  
>> once.
>>
>> Stefan
>>
>> P.S: 2.1.4 is indeed missing from the migration chain in Plone  
>> 2.5. Perhaps because 2.5 was cut before 2.1.4 got released. Oops.  
>> I will  fix this.
>>
>>
>> On 12. Nov 2006, at 08:58, Marc Van Coillie wrote:
>>
>>> Hello,
>>> I've tried to migrate one of my plone instance from v2.1.4 to  
>>> 2.5.1  but without any success, it seems that there is no  
>>> migration path  from this release.
>>> Result of the attempt...
>>>
>>>  a.. Starting the migration from version: 2.1.4
>>>  b.. Attempting to upgrade from: 2.1.4
>>>  c.. Migration completed at version 2.1.4
>>>  d.. End of upgrade path, migration has finished
>>>  e.. The upgrade path did NOT reach current version
>>>  f.. Migration has failed
>>> Is there any solution ? Will I have to wait for release 2.5.2 ?  
>>> Any  idea about when it will be published ?
>>>
>>> anyway thanks for all your work !
>>>
>>> Best regards,
>>> Marc
>>
>> --
>> Anything that happens, happens.  --Douglas Adams
>>
>
>
> _______________________________________________
> Setup mailing list
> Setup at lists.plone.org
> http://lists.plone.org/mailman/listinfo/setup





More information about the Setup mailing list